# All symbols in TensorFlow GNN

<!-- Insert buttons and diff -->

## Primary symbols

*   <a href="../gnn.md"><code>gnn</code></a>
*   <a href="../gnn/Adjacency.md"><code>gnn.Adjacency</code></a>
*   <a href="../gnn/AdjacencySpec.md"><code>gnn.AdjacencySpec</code></a>
*   <a href="../gnn/Context.md"><code>gnn.Context</code></a>
*   <a href="../gnn/ContextSpec.md"><code>gnn.ContextSpec</code></a>
*   <a href="../gnn/EdgeSet.md"><code>gnn.EdgeSet</code></a>
*   <a href="../gnn/EdgeSetSpec.md"><code>gnn.EdgeSetSpec</code></a>
*   <a href="../gnn/Feature.md"><code>gnn.Feature</code></a>
*   <a href="../gnn/FeatureDefaultValues.md"><code>gnn.FeatureDefaultValues</code></a>
*   <a href="../gnn/Field.md"><code>gnn.Field</code></a>
*   <a href="../gnn/FieldOrFields.md"><code>gnn.FieldOrFields</code></a>
*   <a href="../gnn/FieldSpec.md"><code>gnn.FieldSpec</code></a>
*   <a href="../gnn/Fields.md"><code>gnn.Fields</code></a>
*   <a href="../gnn/FieldsSpec.md"><code>gnn.FieldsSpec</code></a>
*   <a href="../gnn/GraphSchema.md"><code>gnn.GraphSchema</code></a>
*   <a href="../gnn/GraphTensor.md"><code>gnn.GraphTensor</code></a>
*   <a href="../gnn/GraphTensorSpec.md"><code>gnn.GraphTensorSpec</code></a>
*   <a href="../gnn/HyperAdjacency.md"><code>gnn.HyperAdjacency</code></a>
*   <a href="../gnn/HyperAdjacencySpec.md"><code>gnn.HyperAdjacencySpec</code></a>
*   <a href="../gnn/IncidentNodeOrContextTag.md"><code>gnn.IncidentNodeOrContextTag</code></a>
*   <a href="../gnn/NodeSet.md"><code>gnn.NodeSet</code></a>
*   <a href="../gnn/NodeSetSpec.md"><code>gnn.NodeSetSpec</code></a>
*   <a href="../gnn/SizeConstraints.md"><code>gnn.SizeConstraints</code></a>
*   <a href="../gnn/ValidationError.md"><code>gnn.ValidationError</code></a>
*   <a href="../gnn/assert_constraints.md"><code>gnn.assert_constraints</code></a>
*   <a href="../gnn/assert_satisfies_size_constraints.md"><code>gnn.assert_satisfies_size_constraints</code></a>
*   <a href="../gnn/assert_satisfies_size_constraints.md"><code>gnn.assert_satisfies_total_sizes</code></a>
*   <a href="../gnn/broadcast_context_to_edges.md"><code>gnn.broadcast_context_to_edges</code></a>
*   <a href="../gnn/broadcast_context_to_nodes.md"><code>gnn.broadcast_context_to_nodes</code></a>
*   <a href="../gnn/broadcast_node_to_edges.md"><code>gnn.broadcast_node_to_edges</code></a>
*   <a href="../gnn/check_required_features.md"><code>gnn.check_required_features</code></a>
*   <a href="../gnn/check_scalar_graph_tensor.md"><code>gnn.check_scalar_graph_tensor</code></a>
*   <a href="../gnn/combine_values.md"><code>gnn.combine_values</code></a>
*   <a href="../gnn/create_graph_spec_from_schema_pb.md"><code>gnn.create_graph_spec_from_schema_pb</code></a>
*   <a href="../gnn/dataset_filter_with_summary.md"><code>gnn.dataset_filter_with_summary</code></a>
*   <a href="../gnn/find_tight_size_constraints.md"><code>gnn.find_tight_size_constraints</code></a>
*   <a href="../gnn/gather_first_node.md"><code>gnn.gather_first_node</code></a>
*   <a href="../gnn/get_io_spec.md"><code>gnn.get_io_spec</code></a>
*   <a href="../gnn/get_registered_reduce_operation_names.md"><code>gnn.get_registered_reduce_operation_names</code></a>
*   <a href="../gnn/graph_tensor_to_values.md"><code>gnn.graph_tensor_to_values</code></a>
*   <a href="../gnn/is_graph_tensor.md"><code>gnn.is_graph_tensor</code></a>
*   <a href="../gnn/iter_features.md"><code>gnn.iter_features</code></a>
*   <a href="../gnn/iter_sets.md"><code>gnn.iter_sets</code></a>
*   <a href="../gnn/keras.md"><code>gnn.keras</code></a>
*   <a href="../gnn/keras/ConvGNNBuilder.md"><code>gnn.keras.ConvGNNBuilder</code></a>
*   <a href="../gnn/keras/layers.md"><code>gnn.keras.layers</code></a>
*   <a href="../gnn/keras/layers/AnyToAnyConvolutionBase.md"><code>gnn.keras.layers.AnyToAnyConvolutionBase</code></a>
*   <a href="../gnn/keras/layers/Broadcast.md"><code>gnn.keras.layers.Broadcast</code></a>
*   <a href="../gnn/keras/layers/ContextUpdate.md"><code>gnn.keras.layers.ContextUpdate</code></a>
*   <a href="../gnn/keras/layers/EdgeSetUpdate.md"><code>gnn.keras.layers.EdgeSetUpdate</code></a>
*   <a href="../gnn/keras/layers/GraphUpdate.md"><code>gnn.keras.layers.GraphUpdate</code></a>
*   <a href="../gnn/keras/layers/MakeEmptyFeature.md"><code>gnn.keras.layers.MakeEmptyFeature</code></a>
*   <a href="../gnn/keras/layers/MapFeatures.md"><code>gnn.keras.layers.MapFeatures</code></a>
*   <a href="../gnn/keras/layers/NextStateFromConcat.md"><code>gnn.keras.layers.NextStateFromConcat</code></a>
*   <a href="../gnn/keras/layers/NodeSetUpdate.md"><code>gnn.keras.layers.NodeSetUpdate</code></a>
*   <a href="../gnn/keras/layers/PadToTotalSizes.md"><code>gnn.keras.layers.PadToTotalSizes</code></a>
*   <a href="../gnn/keras/layers/ParseExample.md"><code>gnn.keras.layers.ParseExample</code></a>
*   <a href="../gnn/keras/layers/ParseSingleExample.md"><code>gnn.keras.layers.ParseSingleExample</code></a>
*   <a href="../gnn/keras/layers/Pool.md"><code>gnn.keras.layers.Pool</code></a>
*   <a href="../gnn/keras/layers/Readout.md"><code>gnn.keras.layers.Readout</code></a>
*   <a href="../gnn/keras/layers/ReadoutFirstNode.md"><code>gnn.keras.layers.ReadoutFirstNode</code></a>
*   <a href="../gnn/keras/layers/ResidualNextState.md"><code>gnn.keras.layers.ResidualNextState</code></a>
*   <a href="../gnn/keras/layers/SimpleConvolution.md"><code>gnn.keras.layers.SimpleConvolution</code></a>
*   <a href="../gnn/keras/layers/TotalSize.md"><code>gnn.keras.layers.TotalSize</code></a>
*   <a href="../gnn/learn_fit_or_skip_size_constraints.md"><code>gnn.learn_fit_or_skip_size_constraints</code></a>
*   <a href="../gnn/pad_to_total_sizes.md"><code>gnn.pad_to_total_sizes</code></a>
*   <a href="../gnn/parse_example.md"><code>gnn.parse_example</code></a>
*   <a href="../gnn/parse_schema.md"><code>gnn.parse_schema</code></a>
*   <a href="../gnn/parse_single_example.md"><code>gnn.parse_single_example</code></a>
*   <a href="../gnn/pool_edges_to_context.md"><code>gnn.pool_edges_to_context</code></a>
*   <a href="../gnn/pool_edges_to_node.md"><code>gnn.pool_edges_to_node</code></a>
*   <a href="../gnn/pool_nodes_to_context.md"><code>gnn.pool_nodes_to_context</code></a>
*   <a href="../gnn/random_graph_tensor.md"><code>gnn.random_graph_tensor</code></a>
*   <a href="../gnn/read_schema.md"><code>gnn.read_schema</code></a>
*   <a href="../gnn/register_reduce_operation.md"><code>gnn.register_reduce_operation</code></a>
*   <a href="../gnn/reverse_tag.md"><code>gnn.reverse_tag</code></a>
*   <a href="../gnn/satisfies_size_constraints.md"><code>gnn.satisfies_size_constraints</code></a>
*   <a href="../gnn/satisfies_size_constraints.md"><code>gnn.satisfies_total_sizes</code></a>
*   <a href="../gnn/shuffle_scalar_components.md"><code>gnn.shuffle_scalar_components</code></a>
*   <a href="../gnn/softmax.md"><code>gnn.softmax</code></a>
*   <a href="../gnn/softmax_edges_per_node.md"><code>gnn.softmax_edges_per_node</code></a>
*   <a href="../gnn/validate_schema.md"><code>gnn.validate_schema</code></a>
*   <a href="../gnn/write_example.md"><code>gnn.write_example</code></a>
*   <a href="../gnn/write_schema.md"><code>gnn.write_schema</code></a>
